require 'rack/mock'

module Helpers

  def valid_headers
    env = default_env
    env['HTTP_X_SECONDLIFE_SHARD']          = 'Production'
    env['HTTP_X_SECONDLIFE_OBJECT_NAME']    = 'Object'
    env['HTTP_X_SECONDLIFE_OBJECT_KEY']     = '01234567-89ab-cdef-0123-456789abcdef'
    env['HTTP_X_SECONDLIFE_REGION']         = 'Jin Ho (264448, 233984)'
    env['HTTP_X_SECONDLIFE_LOCAL_POSITION'] = '(173.009827, 75.551231, 60.950001)'
    env['HTTP_X_SECONDLIFE_LOCAL_ROTATION'] = '-0.17304, 0.14914, 0.22335, 0.94759'
    env['HTTP_X_SECONDLIFE_LOCAL_VELOCITY'] = '1.000000, 0.500000, -0.250000'
    env['HTTP_X_SECONDLIFE_OWNER_NAME']     = 'Nivardus String'
    env['HTTP_X_SECONDLIFE_OWNER_KEY']      = '01234567-89ab-cdef-0123-456789abcdef'
    env
  end

  def invalid_headers
    env = default_env
    env['HTTP_X_SECONDLIFE_SHARD']          = 'Production'
    env['HTTP_X_SECONDLIFE_REGION']         = 'Jin Ho (264448, 233984)'
    env['HTTP_X_SECONDLIFE_LOCAL_POSITION'] = '(173.009827, 75.551231, 60.950001)'
    env
  end

  def default_env
    Rack::MockRequest.env_for
  end
end
